Summary: file(1) command
Name: file
Version: 3.22
Release: 6
Copyright: distributable
Group: Utilities/File
Source: ftp://ftp.deshaw.com/pub/file/file-3.22.tar.gz
Patch: file-3.22-misc.patch
Patch1: file-3.22-glibc.patch
Patch2: file-3.20-newk.patch
Patch3: file-3.22-64timet.patch
BuildRoot: /tmp/file-root

%description
This package is useful for finding out what type of file you are looking 
at on your system.  For example, if an fsck results in a file being stored 
in lost+found, you can run file on it to find out if it's safe to 'more' 
it or if it's a binary. It recognizes many file types, including ELF binaries,
system libraries, RPM packages, and many different graphics formats.

%changelog

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>

- built against glibc

* Mon Mar 31 1997 Erik Troan <ewt@redhat.com>

Fixed problems caused by 64 bit time_t.

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>

Improved recognition of Linux kernel images.

%prep
%setup
%patch -p1
%patch1 -p1 -b .glibc
%patch2 -p1 -b .newk
%patch3 -p1 -b .64timet

%build
make
strip file

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,usr/{bin,lib,man/man1,man/man4}}
make install BINDIR=$RPM_BUILD_ROOT/usr/bin MAGIC=$RPM_BUILD_ROOT/usr/lib/magic
make install.man MANCDIR=$RPM_BUILD_ROOT/usr/man/man1 MANFDIR=$RPM_BUILD_ROOT/usr/man/man4
ln -s ../usr/lib/magic $RPM_BUILD_ROOT/etc/magic
strip $RPM_BUILD_ROOT/usr/*bin/* || :
gzip -9 $RPM_BUILD_ROOT/usr/man/man?/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/file
%config /usr/lib/magic
/etc/magic
/usr/man/man1/file.1.gz
/usr/man/man4/magic.4.gz
